# Changelog

All notable changes to this project will be documented in this file.

## [2.3] - 2024-06-19
- Changed Modify IP trunk label to Modify ISIS

## [2.2] - 2024-06-18
- Fixed DNS allocation when hostname is already in use during allocation process.
- Fixed regex that validates interface names
- Changed Modify IP trunk label to Modify ISIS

## [2.1] - 2024-06-17
- Fixed tiny bugs in migrate IP trunk.

## [2.0] - 2024-05-23
- Upgraded `orchestrator-core` to version 2!
- Added Opengear products.
- Added separate imported product types for importing existing subscriptions.
- Added workflows to take imported products to their counterparts.
- Removed API endpoints for importing products, this is now CLI only.
- Add a SharePoint service that can create new checklist items.
    - Create new checklist in Router creation workflow.
    - Create new checklist when creating an IP trunk.

## [1.5] - 2024-04-22
- Added deploy TWAMP functionality.
- Made some changes on IP Trunk creation/modification workflow including:
    - Replaced `minimum link` with `number of members` in the IP trunks workflows.
    - Added a confirmation page for users to confirm the `minimum links` value.
    - Made `interface description` optional.
    - Made `GA-GID` and `GA-SID` optional.
- Added a rule to OPA policies to give access to Inventory Provider.
- Improved the codebase to include OIDC client ID in userinfo.
- Added switch, LAN switch interconnect and Pop VLAN domain models. 

## [1.1] - 2024-04-04
- Fixed the AttributeError in the migrate_iptrunk workflow.
- Improved the delete device in Netbox functionality.

## [1.0] - 2024-03-28
- PHASE 1 initial release

## [0.9] - 2024-03-20
- `migrate_iptrunk` workflow includes Ansible trunk checks.
- `create_iptrunk` and `migrate_iptrunk` now update IPAM / DNS.
- lso result step title is now always the name of the provisioning step

## [0.8] - 2024-02-28
- Add two new workflows for "activating" `Router` and `Iptrunk` products.
- Update lifecycle states for `Router` and `Iptrunk` products.
- Fix an issue in the Infoblox client when using a custom `dns_view`.

## [0.7] - 2024-02-21
- Infoblox client: added support for the `network_view` (IPAM).

## [0.6] - 2024-02-07
- Removed the import workflows from migrations.

## [0.5] - 2024-01-30
- Changed the router access ts field to FALSE in import router workfolw. 

## [0.4] - 2024-01-26
- Added Token authentication for LSO callbacks.

## [0.3] - 2024-01-23
- Fixed related to the Authentication and some small improvments.

## [0.2] - 2024-01-16
- Initial release

## [0.1] - 2023-12-04
- initial skeleton
